{% set index_url = path(
    configuration.vars.index.route.name|default(configuration.getRouteName('index')),
    configuration.vars.index.route.parameters|default(configuration.vars.route.parameters|default({}))
    )
%}

<div class="ui segment">

    {{ sylius_template_event(['gaia_admin.update.form_start.before', event ~ '.form_start.before'], {
        'metadata': metadata,
        'resource': resource,
        'form': form
    }) }}

    {{ form_start(form, {'action': path(configuration.vars.route.name|default(configuration.getRouteName('update')), configuration.vars.route.parameters|default({ 'id': resource.id })), 'attr': {'class': 'ui loadable form', 'novalidate': 'novalidate'}}) }}

    {{ sylius_template_event(['gaia_admin.update.form_start.after', event ~ '.form_start.after'], {
        'metadata': metadata,
        'resource': resource,
        'form': form
    }) }}

    <input type="hidden" name="_method" value="PUT" />

    {% if configuration.vars.templates.form is defined %}
        {% include configuration.vars.templates.form %}
    {% elseif configuration.parameters.has('form') and configuration.parameters.get('form').menu is defined %}
        {% include '@GaiaAdmin/Crud/_formMenu.html.twig' %}
    {% else %}
        {% include '@GaiaAdmin/Crud/_form.html.twig' %}
    {% endif %}

    {{ sylius_template_event(['gaia_admin.update.form', event ~ '.form'], {
        'metadata': metadata,
        'resource': resource,
        'form': form})
    }}

    {% include configuration.vars.templates.buttons|default('@SyliusUi/Form/Buttons/_update.html.twig') with {'paths': {'cancel': index_url}} %}

    {{ sylius_template_event(['gaia_admin.update.form_end.before', event ~ '.form_end.before'], {
        'metadata': metadata,
        'resource': resource,
        'form': form
    }) }}

    {{ form_end(form) }}

    {{ sylius_template_event(['gaia_admin.update.form_end.after', event ~ '.form_end.after'], {
        'metadata': metadata,
        'resource': resource,
        'form': form
    }) }}

</div>
